"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublishPackageVersionRequestFilterSensitiveLog = exports.GetPackageVersionAssetResultFilterSensitiveLog = exports.PackageVersionSortType = exports.PackageVersionOriginType = exports.DomainStatus = exports.PackageVersionStatus = exports.PackageVersionErrorCode = exports.ValidationException = exports.ValidationExceptionReason = exports.ThrottlingException = exports.ServiceQuotaExceededException = exports.ResourceNotFoundException = exports.InternalServerException = exports.ConflictException = exports.ResourceType = exports.ExternalConnectionStatus = exports.PackageFormat = exports.HashAlgorithm = exports.AllowUpstream = exports.AllowPublish = exports.AccessDeniedException = void 0;
const CodeartifactServiceException_1 = require("./CodeartifactServiceException");
class AccessDeniedException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
    }
}
exports.AccessDeniedException = AccessDeniedException;
var AllowPublish;
(function (AllowPublish) {
    AllowPublish["ALLOW"] = "ALLOW";
    AllowPublish["BLOCK"] = "BLOCK";
})(AllowPublish = exports.AllowPublish || (exports.AllowPublish = {}));
var AllowUpstream;
(function (AllowUpstream) {
    AllowUpstream["ALLOW"] = "ALLOW";
    AllowUpstream["BLOCK"] = "BLOCK";
})(AllowUpstream = exports.AllowUpstream || (exports.AllowUpstream = {}));
var HashAlgorithm;
(function (HashAlgorithm) {
    HashAlgorithm["MD5"] = "MD5";
    HashAlgorithm["SHA1"] = "SHA-1";
    HashAlgorithm["SHA256"] = "SHA-256";
    HashAlgorithm["SHA512"] = "SHA-512";
})(HashAlgorithm = exports.HashAlgorithm || (exports.HashAlgorithm = {}));
var PackageFormat;
(function (PackageFormat) {
    PackageFormat["GENERIC"] = "generic";
    PackageFormat["MAVEN"] = "maven";
    PackageFormat["NPM"] = "npm";
    PackageFormat["NUGET"] = "nuget";
    PackageFormat["PYPI"] = "pypi";
})(PackageFormat = exports.PackageFormat || (exports.PackageFormat = {}));
var ExternalConnectionStatus;
(function (ExternalConnectionStatus) {
    ExternalConnectionStatus["AVAILABLE"] = "Available";
})(ExternalConnectionStatus = exports.ExternalConnectionStatus || (exports.ExternalConnectionStatus = {}));
var ResourceType;
(function (ResourceType) {
    ResourceType["ASSET"] = "asset";
    ResourceType["DOMAIN"] = "domain";
    ResourceType["PACKAGE"] = "package";
    ResourceType["PACKAGE_VERSION"] = "package-version";
    ResourceType["REPOSITORY"] = "repository";
})(ResourceType = exports.ResourceType || (exports.ResourceType = {}));
class ConflictException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceType = opts.resourceType;
    }
}
exports.ConflictException = ConflictException;
class InternalServerException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
    }
}
exports.InternalServerException = InternalServerException;
class ResourceNotFoundException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceType = opts.resourceType;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceQuotaExceededException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceType = opts.resourceType;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class ThrottlingException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.retryAfterSeconds = opts.retryAfterSeconds;
    }
}
exports.ThrottlingException = ThrottlingException;
var ValidationExceptionReason;
(function (ValidationExceptionReason) {
    ValidationExceptionReason["CANNOT_PARSE"] = "CANNOT_PARSE";
    ValidationExceptionReason["ENCRYPTION_KEY_ERROR"] = "ENCRYPTION_KEY_ERROR";
    ValidationExceptionReason["FIELD_VALIDATION_FAILED"] = "FIELD_VALIDATION_FAILED";
    ValidationExceptionReason["OTHER"] = "OTHER";
    ValidationExceptionReason["UNKNOWN_OPERATION"] = "UNKNOWN_OPERATION";
})(ValidationExceptionReason = exports.ValidationExceptionReason || (exports.ValidationExceptionReason = {}));
class ValidationException extends CodeartifactServiceException_1.CodeartifactServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.reason = opts.reason;
    }
}
exports.ValidationException = ValidationException;
var PackageVersionErrorCode;
(function (PackageVersionErrorCode) {
    PackageVersionErrorCode["ALREADY_EXISTS"] = "ALREADY_EXISTS";
    PackageVersionErrorCode["MISMATCHED_REVISION"] = "MISMATCHED_REVISION";
    PackageVersionErrorCode["MISMATCHED_STATUS"] = "MISMATCHED_STATUS";
    PackageVersionErrorCode["NOT_ALLOWED"] = "NOT_ALLOWED";
    PackageVersionErrorCode["NOT_FOUND"] = "NOT_FOUND";
    PackageVersionErrorCode["SKIPPED"] = "SKIPPED";
})(PackageVersionErrorCode = exports.PackageVersionErrorCode || (exports.PackageVersionErrorCode = {}));
var PackageVersionStatus;
(function (PackageVersionStatus) {
    PackageVersionStatus["ARCHIVED"] = "Archived";
    PackageVersionStatus["DELETED"] = "Deleted";
    PackageVersionStatus["DISPOSED"] = "Disposed";
    PackageVersionStatus["PUBLISHED"] = "Published";
    PackageVersionStatus["UNFINISHED"] = "Unfinished";
    PackageVersionStatus["UNLISTED"] = "Unlisted";
})(PackageVersionStatus = exports.PackageVersionStatus || (exports.PackageVersionStatus = {}));
var DomainStatus;
(function (DomainStatus) {
    DomainStatus["ACTIVE"] = "Active";
    DomainStatus["DELETED"] = "Deleted";
})(DomainStatus = exports.DomainStatus || (exports.DomainStatus = {}));
var PackageVersionOriginType;
(function (PackageVersionOriginType) {
    PackageVersionOriginType["EXTERNAL"] = "EXTERNAL";
    PackageVersionOriginType["INTERNAL"] = "INTERNAL";
    PackageVersionOriginType["UNKNOWN"] = "UNKNOWN";
})(PackageVersionOriginType = exports.PackageVersionOriginType || (exports.PackageVersionOriginType = {}));
var PackageVersionSortType;
(function (PackageVersionSortType) {
    PackageVersionSortType["PUBLISHED_TIME"] = "PUBLISHED_TIME";
})(PackageVersionSortType = exports.PackageVersionSortType || (exports.PackageVersionSortType = {}));
const GetPackageVersionAssetResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.GetPackageVersionAssetResultFilterSensitiveLog = GetPackageVersionAssetResultFilterSensitiveLog;
const PublishPackageVersionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.PublishPackageVersionRequestFilterSensitiveLog = PublishPackageVersionRequestFilterSensitiveLog;
